Bug 1316955 - Cached modificationMask in property reactivity is correctly retrieved but not set into the propagation context
Cached modificationMask in property reactivity is correctly retrieved but not...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Mario Fusco
Tibor Zimanyi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 09:18 EST by Anton Giertli
Modified: 2016-04-01 08:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[0] reproducer (10.30 KB, application/zip)
2016-03-11 09:18 EST, Anton Giertli
no flags Details

  None (edit)
Description Anton Giertli 2016-03-11 09:18:30 EST
Created attachment 1135255 [details]
[0] reproducer

Description of problem:

Cached modificationMask in property reactivity is correctly retrieved but not set into the propagation context
Platform BZ for https://issues.jboss.org/browse/DROOLS-1090

Version-Release number of selected component (if applicable):
6.2.0

How reproducible:

always
Steps to Reproduce:
1. See reproducer or attached test case in the DROOLS-1090

Actual results:
reproducer fails

Expected results:
reproducer passes

Additional info:
fixed by https://github.com/droolsjbpm/drools/commit/04645323c
Comment 2 Mario Fusco 2016-03-14 03:54:17 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/04645323c
Comment 3 Tibor Zimanyi 2016-04-01 08:06:50 EDT
Verified by running provided reproducer and new test from PR.

Note You need to log in before you can comment on or make changes to this bug.